---
import { Icon } from 'astro-icon';

const items = [
	{
		title: 'Ubuntu Unity',
		description:
			`Bringing the best of Ubuntu and Unity together, Ubuntu Unity is a beautiful, slick and lightweight Ubuntu flavour.`,
		icon: 'mdi:ubuntu',
		link: 'https://ubuntuunity.org'
	},
	{
		title: 'Manjaro Unity',
		description:
			'A concoction of Manjaro and Unity, the Manjaro Unity Community Edition is a way for you to experience Unity.',
		icon: 'mdi:manjaro',
		link: 'https://forum.manjaro.org/t/call-for-testers-manjaro-unity-community-edition/128201'
	},
	{
		title: 'Gentoo Unity7',
		description:
			'A Gentoo overlay to build the latest version of the Unity7 user interface, maintained by c4pp4.',
		icon: 'mdi:gentoo',
		link: 'https://github.com/c4pp4/gentoo-unity7'
	},
];
---

<section class="relative" id="distros">
	<br><br>
	<div class="absolute inset-0 bg-primary-50 dark:bg-slate-800 pointer-events-none mb-32" aria-hidden="true"></div>
	<div class="relative max-w-6xl mx-auto px-4 sm:px-6">
		<div class="py-4 pt-8 sm:py-6 lg:py-8 lg:pt-12">
			<div class="mb-8 text-center">
				<p class="text-base text-primary-600 dark:text-primary-200 font-semibold tracking-wide uppercase">Try Unity</p>
				<h2 class="text-4xl md:text-5xl font-bold leading-tighter tracking-tighter mb-4 font-heading">
					Supported distributions
				</h2>
				<p class="max-w-3xl mx-auto text-center text-xl text-gray-600 dark:text-slate-400">
					Spice up your computing experience with <span class="font-semibold underline decoration-wavy decoration-1 decoration-primary-600 underline-offset-2">Unity</span> on your favorite distribution
				</p>
			</div>
			<div class="grid gap-6 md:grid-cols-2 lg:grid-cols-3 items-start my-12 dark:text-white">
				{
					items.map(({ title, description, icon, link }) => (
						<div class="relative flex flex-col p-6 bg-white dark:bg-slate-900 rounded-xl shadow-2xl hover:shadow-lg hover:cursor-pointer transition dark:border dark:border-slate-800 dark:shadow-slate-800" onclick=`window.open('${link}')`>
							<div class="flex items-center mb-4">
								<Icon name={icon} class="w-12 h-12" />

								<div class="ml-4 text-xl font-bold">{title}</div>
							</div>
							<p class="text-gray-500 dark:text-gray-400 text-md">{description}</p>
						</div>
					))
				}
			</div>
		</div>
	</div>
</section>
